Retail Express API 2.1

Gets specific Max Discount Rule by unique id

Gets specific Max Discount Rule by unique id

get
https://api.retailexpress.com.au/v2.1/maxdiscountrules/{id}

Path Parameters

idinteger(int32)required

Max Discount Rule id

Example:10

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Max Discount Rule

MaxDiscountRule

Max Discount Rule Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Max Discount Rule Id.

namestring | null

Max Discount Rule name.

>= 0 characters<= 50 characters

valuenumber(double)

Max Discount Rule value.

typestring | null

Discount Type.

modified_onstring(date-time)

Modified on

get/maxdiscountrules/{id}
 
application/json

orderfulfilments

Searches Order Fulfilments by parameters

Searches Order Fulfilments by parameters

get
https://api.retailexpress.com.au/v2.1/orderfulfilments

Query Parameters

idstring | null

Fulfilment Id or Collection of Fulfilment Ids (comma separated)
Example: 1,2,3

order_idstring | null

Order Id or Collection of Order Ids (comma separated)
Example: 1,2,3

order_numberstring | null

Order Number or Collection of Order Numbers (comma separated)
Example: 1,2,3

order_item_idstring | null

Order Item Id or Collection of Order Item Ids (comma separated)
Example: 1,2,3

fulfil_outletstring | null

Fulfilment Outlet or Collection of Fulfilment Outlets (comma separated)
Example: 1,2,3

created_sincestring | null(date-time)

Created since

filter_bystring | null

Filter by.

Available field name values: id, order_id, order_number, order_item_id, fulfil_outlet, created_on, serial_number.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3

order_bystring | null

Order by.

Available field name values: id, order_id, order_number, order_item_id, fulfil_outlet, created_on.

Available direction values: asc, desc.

Example: order_id asc, order_number desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Order Fulfilments

ExtendedFulfilment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Fulfilment model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orderfulfilments
 
application/json

Gets specific Order Fulfilment

Gets specific Order Fulfilment

get
https://api.retailexpress.com.au/v2.1/orderfulfilments/{id}

Path Parameters

idinteger(int32)required

Fulfilment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Fulfilment

ExtendedFulfilment

Fulfilment model

* Additional properties are NOT allowed.
idinteger(int32)

Fulfilment id

order_item_idinteger(int32)

Order Item Id

quantity_fulfiledinteger(int32)

Fulfiled quantity of products

fulfil_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created On

serial_numberstring | null

Serial Number

order_idinteger | null(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderfulfilments/{id}
 
application/json

orderitems